Subject: Re: bug#48592: [PATCH 0/2] Support plural forms of Author and Maintainer library headers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 May 2021 12:44:48 +0300

On May 24, 2021 11:58:54 AM GMT+03:00, Jonas Bernoulli <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> [Add lm-maintainers and make lm-maintainer obsolete.]
> 
> The reason why I want to deprecate lm-maintainer is that this informs
> users of that function that some packages may have more than one
> maintainer and that it is now possible and (I dare say) encouraged to
> acknowledge them all.

A NEWS entry will do this job nicely, IMO.

> Sure adding a note to lm-maintainer technically accomplishes the same,
> but once one has started using lm-maintainer, then one doesn't
> periodically go back to see whether a new notes have been added to its
> doc-string.  But something like this would do the trick of guiding the
> attention towards the extended functionality and its updated
> documentation:
> 
>   In package-build--desc-from-library:
> lib/package-build/package-build.el:516:26: Warning: ‘lm-maintainer’ is
> an
>       obsolete function (as of 28.1); use ‘lm-maintainers’ instead.
> 
> Yes, there is nothing wrong with ignoring all but the first maintainer
> (except of course, not properly attributing the contributions of the
> others as they choose to present it), but it seems to me that having
> to:
> 
>   - (lm-maintainer)
>   + (car (lm-maintainers))
> 
> is perfectly acceptable in cases where only "the" maintainer can be
> mentioned because there is not enough room to display the names of all
> maintainers.  (So it is still a good idea to list the primus inter
> pares
> maintainer first.)

I think this warning will be a gratuitous annoyance in enough legitimate use cases to make the complaints serious.  If it's okay to take the 'car' of a list, then it should also be okay to call a function which does just that.  It's not like lm-maintainers returns an opaque object.

Again, if the others are fine with the deprecation, I will yield.